Get Tasks
Get all tasks
Filter tasks by status
Filter tasks by type
Filter tasks by creator (username or service account)
Filter tasks by name (internal name)
Filter tasks by description (public name for the task)
Filter tasks with start time greater than the specified timestamp (ISO 8601 format)
Filter tasks with start time less than the specified timestamp (ISO 8601 format)
Filter tasks with update time greater than the specified timestamp (ISO 8601 format)
Filter tasks with update time less than the specified timestamp (ISO 8601 format)
Filter tasks with end time greater than the specified timestamp (ISO 8601 format)
Filter tasks with end time less than the specified timestamp (ISO 8601 format)
Filter tasks by resource ID
Filter tasks by resource type
Whether to include system/internal tasks in the response. Defaults to false (only customer-visible tasks).
Page Number.
Page Size. Maximum allowed is 50.
OK
{
"elements": [
{
"resourceId": "af6ef462-e192-4fe1-9522-67a50a2b3392",
"updatedBy": "admin",
"parentTaskId": "f81ec638-4452-4ae6-bffe-2ff284b43710",
"description": {
"args": {
"cloudProxyFqdn": "cloudProxy1.vsphere.local"
},
"localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
},
"updateTime": "2000-01-23T04:56:07.000Z",
"type": "type",
"cancellable": true,
"retriable": true,
"createdBy": "admin",
"createTime": "2000-01-23T04:56:07.000Z",
"name": "vcfa_90_to_91_upgrade",
"startTime": "2000-01-23T04:56:07.000Z",
"correlationId": "39ab89c8-a945-4290-9327-13c5bd3f595c",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"endTime": "2000-01-23T04:56:07.000Z",
"status": "PENDING",
"resourceType": "COMPONENT"
},
{
"resourceId": "af6ef462-e192-4fe1-9522-67a50a2b3392",
"updatedBy": "admin",
"parentTaskId": "f81ec638-4452-4ae6-bffe-2ff284b43710",
"description": {
"args": {
"cloudProxyFqdn": "cloudProxy1.vsphere.local"
},
"localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
},
"updateTime": "2000-01-23T04:56:07.000Z",
"type": "type",
"cancellable": true,
"retriable": true,
"createdBy": "admin",
"createTime": "2000-01-23T04:56:07.000Z",
"name": "vcfa_90_to_91_upgrade",
"startTime": "2000-01-23T04:56:07.000Z",
"correlationId": "39ab89c8-a945-4290-9327-13c5bd3f595c",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"endTime": "2000-01-23T04:56:07.000Z",
"status": "PENDING",
"resourceType": "COMPONENT"
}
],
"pageMetadata": {
"pageNumber": 0,
"totalPages": 5,
"pageSize": 6,
"totalElements": 1
}
}
Represents a hierarchical task structure supporting nested sub-tasks and execution steps. For complete examples demonstrating the hierarchical task model with sub-tasks, steps, and various execution scenarios, see: classpath:sample-task-example.yaml
Retrieves the parameters needed to help pagination on client.
Internal Server Error
{
"elements": [
{
"resourceId": "af6ef462-e192-4fe1-9522-67a50a2b3392",
"updatedBy": "admin",
"parentTaskId": "f81ec638-4452-4ae6-bffe-2ff284b43710",
"description": {
"args": {
"cloudProxyFqdn": "cloudProxy1.vsphere.local"
},
"localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
},
"updateTime": "2000-01-23T04:56:07.000Z",
"type": "type",
"cancellable": true,
"retriable": true,
"createdBy": "admin",
"createTime": "2000-01-23T04:56:07.000Z",
"name": "vcfa_90_to_91_upgrade",
"startTime": "2000-01-23T04:56:07.000Z",
"correlationId": "39ab89c8-a945-4290-9327-13c5bd3f595c",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"endTime": "2000-01-23T04:56:07.000Z",
"status": "PENDING",
"resourceType": "COMPONENT"
},
{
"resourceId": "af6ef462-e192-4fe1-9522-67a50a2b3392",
"updatedBy": "admin",
"parentTaskId": "f81ec638-4452-4ae6-bffe-2ff284b43710",
"description": {
"args": {
"cloudProxyFqdn": "cloudProxy1.vsphere.local"
},
"localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
"id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
},
"updateTime": "2000-01-23T04:56:07.000Z",
"type": "type",
"cancellable": true,
"retriable": true,
"createdBy": "admin",
"createTime": "2000-01-23T04:56:07.000Z",
"name": "vcfa_90_to_91_upgrade",
"startTime": "2000-01-23T04:56:07.000Z",
"correlationId": "39ab89c8-a945-4290-9327-13c5bd3f595c",
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"endTime": "2000-01-23T04:56:07.000Z",
"status": "PENDING",
"resourceType": "COMPONENT"
}
],
"pageMetadata": {
"pageNumber": 0,
"totalPages": 5,
"pageSize": 6,
"totalElements": 1
}
}
Represents a hierarchical task structure supporting nested sub-tasks and execution steps. For complete examples demonstrating the hierarchical task model with sub-tasks, steps, and various execution scenarios, see: classpath:sample-task-example.yaml
Retrieves the parameters needed to help pagination on client.
curl -H 'Authorization: <value>' https://{api_host}/sddc-lcm/v1/tasks